The NetBSD Project

CVS log for pkgsrc/mk/bsd.pkg.update.mk

[BACK] Up to [cvs.NetBSD.org] / pkgsrc / mk

Request diff between arbitrary revisions


Default branch: MAIN


Revision 1.26 / (download) - annotate - [select for diffs], Fri Feb 14 07:14:23 2014 UTC (5 years, 1 month ago) by obache
Branch: MAIN
CVS Tags: pkgsrc-2018Q4-base, pkgsrc-2018Q4, pkgsrc-2018Q3-base, pkgsrc-2018Q3, pkgsrc-2018Q2-base, pkgsrc-2018Q2, pkgsrc-2018Q1-base, pkgsrc-2018Q1, pkgsrc-2017Q4-base, pkgsrc-2017Q4, pkgsrc-2017Q3-base, pkgsrc-2017Q3, pkgsrc-2017Q2-base, pkgsrc-2017Q2, pkgsrc-2017Q1-base, pkgsrc-2017Q1, pkgsrc-2016Q4-base, pkgsrc-2016Q4, pkgsrc-2016Q3-base, pkgsrc-2016Q3, pkgsrc-2016Q2-base, pkgsrc-2016Q2, pkgsrc-2016Q1-base, pkgsrc-2016Q1, pkgsrc-2015Q4-base, pkgsrc-2015Q4, pkgsrc-2015Q3-base, pkgsrc-2015Q3, pkgsrc-2015Q2-base, pkgsrc-2015Q2, pkgsrc-2015Q1-base, pkgsrc-2015Q1, pkgsrc-2014Q4-base, pkgsrc-2014Q4, pkgsrc-2014Q3-base, pkgsrc-2014Q3, pkgsrc-2014Q2-base, pkgsrc-2014Q2, pkgsrc-2014Q1-base, pkgsrc-2014Q1, pkgsrc-, HEAD
Changes since 1.25: +2 -2 lines
Diff to previous 1.25 (colored)

fixes last commit, delete too aggressively :(

Revision 1.25 / (download) - annotate - [select for diffs], Fri Feb 14 06:47:24 2014 UTC (5 years, 1 month ago) by obache
Branch: MAIN
Changes since 1.24: +2 -2 lines
Diff to previous 1.24 (colored)

Prevent to force creation binary package in ${PACKAGES} for the case installing
dependency with USE_DESTDIR=yes unless creating binary packages.

Revision 1.24 / (download) - annotate - [select for diffs], Sat Aug 31 20:17:37 2013 UTC (5 years, 6 months ago) by rillig
Branch: MAIN
CVS Tags: pkgsrc-2013Q4-base, pkgsrc-2013Q4, pkgsrc-2013Q3-base, pkgsrc-2013Q3
Changes since 1.23: +2 -2 lines
Diff to previous 1.23 (colored)

The pkg_info command is an internal detail and therefore should be
hidden behind the ${RUN} macro, just like all the other commands.

Revision 1.23 / (download) - annotate - [select for diffs], Wed May 4 09:49:34 2011 UTC (7 years, 10 months ago) by obache
Branch: MAIN
CVS Tags: pkgsrc-2013Q2-base, pkgsrc-2013Q2, pkgsrc-2013Q1-base, pkgsrc-2013Q1, pkgsrc-2012Q4-base, pkgsrc-2012Q4, pkgsrc-2012Q3-base, pkgsrc-2012Q3, pkgsrc-2012Q2-base, pkgsrc-2012Q2, pkgsrc-2012Q1-base, pkgsrc-2012Q1, pkgsrc-2011Q4-base, pkgsrc-2011Q4, pkgsrc-2011Q3-base, pkgsrc-2011Q3, pkgsrc-2011Q2-base, pkgsrc-2011Q2
Changes since 1.22: +2 -2 lines
Diff to previous 1.22 (colored)

Also set `package-install' to UPDATE_TARGET/DEPENDS_TARGET if current target is
`package-install', to indirect dependency also create binary package with
`make package' or `make package-install'.

should fix PR#44857.

Revision 1.22 / (download) - annotate - [select for diffs], Sat Jul 3 04:24:14 2010 UTC (8 years, 8 months ago) by darcy
Branch: MAIN
CVS Tags: pkgsrc-2011Q1-base, pkgsrc-2011Q1, pkgsrc-2010Q4-base, pkgsrc-2010Q4, pkgsrc-2010Q3-base, pkgsrc-2010Q3
Changes since 1.21: +2 -2 lines
Diff to previous 1.21 (colored)

The "-p" option is redundant as it is included in the MKDIR variable.
As discussed with joerg@.

Revision 1.21 / (download) - annotate - [select for diffs], Tue Jun 15 04:14:26 2010 UTC (8 years, 9 months ago) by dholland
Branch: MAIN
CVS Tags: pkgsrc-2010Q2-base, pkgsrc-2010Q2
Changes since 1.20: +2 -1 lines
Diff to previous 1.20 (colored)

Apply my fix for PR 35091: do a check-vulnerable step first in "make
update", so if it's going to fail because of a known vulnerability it
does so before uninstalling anything. I've been carrying this patch
for some three years with no ill effects. Ok by agc@.

Revision 1.20 / (download) - annotate - [select for diffs], Thu Feb 25 02:08:33 2010 UTC (9 years ago) by joerg
Branch: MAIN
CVS Tags: pkgsrc-2010Q1-base, pkgsrc-2010Q1
Changes since 1.19: +2 -4 lines
Diff to previous 1.19 (colored)

If using "make package", default to recursion with package-install.

Revision 1.19 / (download) - annotate - [select for diffs], Fri Feb 19 14:27:36 2010 UTC (9 years, 1 month ago) by joerg
Branch: MAIN
Changes since 1.18: +1 -14 lines
Diff to previous 1.18 (colored)

Garbage collect support for old pkg_install versions.

Revision 1.18 / (download) - annotate - [select for diffs], Sat May 16 01:27:30 2009 UTC (9 years, 10 months ago) by joerg
Branch: MAIN
CVS Tags: pkgsrc-2009Q4-base, pkgsrc-2009Q4, pkgsrc-2009Q3-base, pkgsrc-2009Q3, pkgsrc-2009Q2-base, pkgsrc-2009Q2
Changes since 1.17: +2 -1 lines
Diff to previous 1.17 (colored)

Don't require pkg_delete or pkg_info -r to list packages in full
topological sort for the make update list. This breaks naturally when
new dependencies are introduced that are also in the list scheduled for
later installation. Reported by David Holland.

Revision 1.17 / (download) - annotate - [select for diffs], Sat Mar 7 19:36:31 2009 UTC (10 years ago) by joerg
Branch: MAIN
CVS Tags: pkgsrc-2009Q1-base, pkgsrc-2009Q1
Changes since 1.16: +6 -2 lines
Diff to previous 1.16 (colored)

make update might be called without having the package installed, so
check for the presence before trying to extract dependencies.

Revision 1.16 / (download) - annotate - [select for diffs], Thu Mar 5 23:07:15 2009 UTC (10 years ago) by joerg
Branch: MAIN
Changes since 1.15: +10 -3 lines
Diff to previous 1.15 (colored)

Use pkg_info -r if present and fall back to pkg_delete for pkg_install
before 20090225. Intermediate versions get an explicit error.
The building of the recursive dependency was broken as the new
pkg_delete would stop without recursing and the target dependend on that
behavior. Reported by David Holland.

Revision 1.15 / (download) - annotate - [select for diffs], Mon Apr 7 13:31:15 2008 UTC (10 years, 11 months ago) by joerg
Branch: MAIN
CVS Tags: pkgsrc-2008Q4-base, pkgsrc-2008Q4, pkgsrc-2008Q3-base, pkgsrc-2008Q3, pkgsrc-2008Q2-base, pkgsrc-2008Q2, cwrapper, cube-native-xorg-base, cube-native-xorg
Changes since 1.14: +4 -2 lines
Diff to previous 1.14 (colored)

Prefer package-destdir as default for update with USE_DESTDIR.

Revision 1.14 / (download) - annotate - [select for diffs], Thu Feb 7 21:36:13 2008 UTC (11 years, 1 month ago) by rillig
Branch: MAIN
CVS Tags: pkgsrc-2008Q1-base, pkgsrc-2008Q1
Changes since 1.13: +3 -3 lines
Diff to previous 1.13 (colored)

Replaced _PKG_SILENT and _PKG_DEBUG with RUN.

Revision 1.13 / (download) - annotate - [select for diffs], Fri Sep 7 16:47:05 2007 UTC (11 years, 6 months ago) by rillig
Branch: MAIN
CVS Tags: pkgsrc-2007Q4-base, pkgsrc-2007Q4, pkgsrc-2007Q3-base, pkgsrc-2007Q3
Changes since 1.12: +17 -21 lines
Diff to previous 1.12 (colored)

Replaced ${_PKG_SILENT}${_PKG_DEBUG} with ${RUN}, since it is shorter.

Removed unnecessary braces around a single pipeline. Also removed the
||true, since awk is very unlikely to fail.

Revision 1.12 / (download) - annotate - [select for diffs], Fri Sep 7 11:14:10 2007 UTC (11 years, 6 months ago) by rillig
Branch: MAIN
Changes since 1.11: +3 -1 lines
Diff to previous 1.11 (colored)

pkg_info -qR doesn't give the same results as pkg_delete -n.

Revision 1.11 / (download) - annotate - [select for diffs], Fri Sep 7 10:57:35 2007 UTC (11 years, 6 months ago) by obache
Branch: MAIN
Changes since 1.10: +2 -2 lines
Diff to previous 1.10 (colored)

Correct typo, really fixes PR 36940.

Revision 1.10 / (download) - annotate - [select for diffs], Fri Sep 7 10:38:44 2007 UTC (11 years, 6 months ago) by rillig
Branch: MAIN
Changes since 1.9: +3 -2 lines
Diff to previous 1.9 (colored)

pkg_info needs at least one package name. Fixes PR 36940.

Revision 1.9 / (download) - annotate - [select for diffs], Thu Sep 6 08:28:01 2007 UTC (11 years, 6 months ago) by rillig
Branch: MAIN
Changes since 1.8: +2 -5 lines
Diff to previous 1.8 (colored)

One line of code can say as much as ten.

Revision 1.8 / (download) - annotate - [select for diffs], Thu Sep 6 08:24:12 2007 UTC (11 years, 6 months ago) by rillig
Branch: MAIN
Changes since 1.7: +5 -11 lines
Diff to previous 1.7 (colored)

Why do things in a simple way when there is a complicated alternative?

Revision 1.7 / (download) - annotate - [select for diffs], Thu Oct 5 12:56:27 2006 UTC (12 years, 5 months ago) by rillig
Branch: MAIN
CVS Tags: pkgsrc-2007Q2-base, pkgsrc-2007Q2, pkgsrc-2007Q1-base, pkgsrc-2007Q1, pkgsrc-2006Q4-base, pkgsrc-2006Q4, jlam-pkgviews-base, jlam-pkgviews
Changes since 1.6: +6 -3 lines
Diff to previous 1.6 (colored)

Suppress the message that ".DDIR is up-to-date" by introducing a .PHONY
target.

Revision 1.6 / (download) - annotate - [select for diffs], Thu Jul 27 21:46:45 2006 UTC (12 years, 7 months ago) by jlam
Branch: MAIN
CVS Tags: pkgsrc-2006Q3-base, pkgsrc-2006Q3
Changes since 1.5: +12 -14 lines
Diff to previous 1.5 (colored)

Whenever we invoke a recursive make, we need to ensure that the proper
environment ${PKGSRC_MAKE_ENV} is also passed along.  Create a
convenience variable RECURSIVE_MAKE that does exactly this and that
can be used in place of MAKE when invoking make recursively.

Use RECURSIVE_MAKE everywhere in pkgsrc/mk that we invoke make
recursively.

Revision 1.5 / (download) - annotate - [select for diffs], Wed Jun 7 10:04:03 2006 UTC (12 years, 9 months ago) by tron
Branch: MAIN
CVS Tags: pkgsrc-2006Q2-base, pkgsrc-2006Q2
Changes since 1.4: +4 -4 lines
Diff to previous 1.4 (colored)

1.) Remove all instances of '@${WARNING_MSG} "Warning: ...' which resulted
    in error message like 'WARNING: Warning: ...'.
2.) Replace "WARN_MSG" with "WARNING_MSG" which makes the "make package"
    target work again for restricted packages like "acroread7".

Revision 1.4 / (download) - annotate - [select for diffs], Mon Jun 5 22:49:44 2006 UTC (12 years, 9 months ago) by jlam
Branch: MAIN
Changes since 1.3: +8 -10 lines
Diff to previous 1.3 (colored)

Use PHASE_MSG, STEP_MSG, WARNING_MSG, and ERROR_MSG in place of ECHO_MSG
in various places.

Revision 1.3 / (download) - annotate - [select for diffs], Mon Jun 5 17:21:54 2006 UTC (12 years, 9 months ago) by jlam
Branch: MAIN
Changes since 1.2: +19 -4 lines
Diff to previous 1.2 (colored)

Move definitions for UPDATE_TARGET and DEPENDS_TARGET closer to where
they are used.  Also, move UPDATE_RUNNING into the install module where
it is used, and make it "private" by prepending with an underscore.

Revision 1.2 / (download) - annotate - [select for diffs], Sun Jun 4 08:25:53 2006 UTC (12 years, 9 months ago) by jlam
Branch: MAIN
Changes since 1.1: +4 -1 lines
Diff to previous 1.1 (colored)

Move some "update"-only variables from bsd.pkg.mk to bsd.pkg.update.mk.

Revision 1.1 / (download) - annotate - [select for diffs], Sat Jun 3 23:11:42 2006 UTC (12 years, 9 months ago) by jlam
Branch: MAIN

First pass at implementing support for package system flavors other
than pkgsrc's current one.  This is an important lead-up to any project
that redesigns the pkg_* tools in that it doesn't tie us to past design
(mis)choices.  This commit mostly deals with rearranging code, although
there was a considerable amount of rewriting done in cases where I
thought the code was somewhat messy and was difficult to understand.

The design I chose for supporting multiple package system flavors is
that the various depends, install, package, etc.  modules would define
default targets and variables that may be overridden in files from
pkgsrc/mk/flavor/${PKG_FLAVOR}.  The default targets would do the
sensible thing of doing nothing, and pkgsrc infrastructure would rely
on the appropriate things to be defined in pkgsrc/mk/flavor to do the
real work.  The pkgsrc/mk/flavor directory contains subdirectories
corresponding to each package system flavor that we support.  Currently,
I only have "pkg" which represents the current pkgsrc-native package
flavor.  I've separated out most of the code where we make assumptions
about the package system flavor, mostly either because we directly
use the pkg_* tools, or we make assumptions about the package meta-data
directory, or we directly manipulate the package meta-data files, and
placed it into pkgsrc/mk/flavor/pkg.

There are several new modules that have been refactored out of bsd.pkg.mk
as part of these changes: check, depends, install, package, and update.
Each of these modules has been slimmed down by rewriting them to avoid
some recursive make calls.  I've also religiously documented which
targets are "public" and which are "private" so that users won't rely
on reaching into pkgsrc innards to call a private target.

The "depends" module is a complete overhaul of the way that we handle
dependencies.  There is now a separate "depends" phase that occurs
before the "extract" phase where dependencies are installed.  This
differs from the old way where dependencies were installed just before
extraction occurred.  The reduce-depends.mk file is now replaced by
a script that is invoked only once during the depends phase and is
used to generate a cookie file that holds the full set of reduced
dependencies.  It is now possible to type "make depends" in a package
directory and all missing dependencies will be installed.

Future work on this project include:

    * Resolve the workflow design in anticipation of future work on
      staged installations where "package" conceptually happens before
      "install".

    * Rewrite the buildlink3 framework to not assume the use of the
      pkgsrc pkg_* tools.

    * Rewrite the pkginstall framework to provide a standard pkg_*
      tool to perform the actions, and allowing a purely declarative
      file per package to describe what actions need to be taken at
      install or deinstall time.

    * Implement support for the SVR4 package flavor.  This will be
      proof that the appropriate abstractions are in place to allow
      using a completely different set of package management tools.

This form allows you to request diff's between any two revisions of a file. You may select a symbolic revision name using the selection box or you may type in a numeric name using the type-in text box.




CVSweb <webmaster@jp.NetBSD.org>